Source: https://dinakar-rewind.docs.pageloop.ai/api-reference/images/setimageoverride

# Set image override

PUT `https://api.rewind.rest/v1/admin/images/{domain}/{entity_type}/{entity_id}`

Set an image override for an entity. Accepts either a JSON body with source\_url or a multipart/form-data upload with an image file.

## Authorization

#### Authorization (header, string, required)

API key. Read keys (rw\_live\_...) access GET endpoints. Admin keys (rw\_admin\_...) access all endpoints.

## Path Parameters

#### domain (path, enum (string), required) — allowed: listening, watching, collecting, reading

#### entity\_type (path, enum (string), required) — allowed: albums, artists, movies, shows, releases, articles

#### entity\_id (path, string, required)

## Response

#### 200

Image override applied successfully

#### domain (string, required)

#### entity\_type (string, required)

#### entity\_id (string, required)

#### image\_url (string, required)

#### source (string, required)

#### is\_override (boolean, required)

#### image\_version (integer, required)

#### thumbhash (string, required)

#### dominant\_color (string, required)

#### accent\_color (string, required)

#### 400

Bad request

#### error (string, required)

#### status (integer, required)

#### 401

Unauthorized

#### error (string, required)

#### status (integer, required)

#### 500

Internal server error

#### error (string, required)

#### status (integer, required)

#### Request

```bash cURL
curl -X PUT 'https://api.rewind.rest/v1/admin/images/{domain}/{entity_type}/{entity_id}' \
  -H 'Authorization: Bearer <token>'
```

```javascript JavaScript
const res = await fetch('https://api.rewind.rest/v1/admin/images/{domain}/{entity_type}/{entity_id}', {
  method: 'PUT',
  headers: {
    'Authorization': 'Bearer <token>',
  },
});
const data = await res.json();
```

```python Python
import requests

res = requests.put(
    'https://api.rewind.rest/v1/admin/images/{domain}/{entity_type}/{entity_id}',
    headers={'Authorization': 'Bearer <token>'}
)
data = res.json()
```

#### Response

```json 200
{
  "domain": "string",
  "entity_type": "string",
  "entity_id": "string",
  "image_url": "uri",
  "source": "string",
  "is_override": true,
  "image_version": 0,
  "thumbhash": "string",
  "dominant_color": "string",
  "accent_color": "string"
}
```

```json 400
{
  "error": "Not found",
  "status": 404
}
```

```json 401
{
  "error": "Not found",
  "status": 404
}
```

```json 500
{
  "error": "Not found",
  "status": 404
}
```
